#!/usr/bin/env perl
use strict;
use warnings;

my $done = 0;
my $doing = 0;
my $todo = 0;

for (<DATA>) {
    if ($_ =~ /\A■/) {
        $done++;
    }
    elsif ($_ =~ /\A▲/) {
        $doing++;
    }
    elsif ($_ =~ /\A□/) {
        $todo++;
    }
}
print "完了: $done, 作成中: $doing, 未着手: $todo\n";

__DATA__
■見出しA
本文A

▲見出しB
本文B

□見出しC
本文C

