#!/usr/bin/env perl
use strict;
use warnings;

my @data = <DATA>;
my $year;
my $buf_year = 0;
my $topic;

for (@data) {
    if ($_ =~ /\A(\d+)\t(.+)/) {
        $year = $1;
        $topic = $2;
        if ($year == $buf_year) {
            print "  ●$topic";
        }
        else {
            print "\n●$year年  $topic";
        }
        $buf_year = $year;
    }
}

__DATA__
1920	コルンゴルトのオペラ《死の都》初演
1920	ホルスト《惑星》全曲初演
1922	ヒンデミット《一九二二年》
1922	イベール《寄港地》
1923	ストラヴィンスキー《結婚》初演
1923	オネゲル《機関車パシフィック231》
1924	プッチーニ《トゥーランドット》（未完）
1924	レスピーギ《ローマの松》
1924	ガーシュウィン《ラプソディ・イン・ブルー》初演
