#!/usr/bin/env perl
use strict;
use warnings;
use feature 'say';


my @arr = qw(apple orange lemon);
say scalar @arr;
say $#arr;

__END__
my $foo = "abc";
$foo =~ s/a(?=b)/x/;
say $foo;
$foo =~ s/(?<=b)c/x/;
say $foo;

__END__
my @foo = qw(apple lemon);
my @bar = (@foo, @foo);
say for @bar;
