# .bashrc

## copy-rename.pl
alias rr='path/to/copy-rename.pl rname'

## line-word-count.pl
alias lwc='perl path/to/line-word-count.pl'

## choco
function choco {
    local path=$(perl "$@")
    local basename=${path##*/}
    local dirname

    if [ -f "$path" ]; then
        dirname="${path%%$basename}"
    elif [ -d "$path" ]; then
        dirname="$path"
    fi
    cd "$dirname"
}
alias j='choco path/to/choco.pl -c open'
alias ja='choco path/to/choco.pl -c open -a'
alias jc='choco path/to/choco.pl -c open -s cho'

## find-word.pl
alias fw='perl path/to/find-word.pl -c open'

## sandbox.pl
alias p='open path/to/sandbox.pl'

## find-file-open.pl
alias fo='perl path/to/find-file-open.pl'
